how do I install a gbc vc title on sysnand ?

Discussion in '3DS - Homebrew Development and Emulators' started by spacelaces, Jan 11, 2016.

  1. spacelaces
    OP

    spacelaces Member

    Newcomer
    31
    6
    Jan 10, 2016
    Gambia, The
    sorry for making a new for this, I'm still new to this place :)

    So I downgraded my N3DSXL from 10.3.0.28E to 9.2.0.20E
    after that I went a head to install Pastacfw, rxtools and emunand using this lengthy but spot on tutorial

    https://gbatemp.net/threads/tutoria...ncluding-emunand-coldboot-cia-manager.405589/

    It took forever but everything went pretty good I guess. My plan was to inject gba vc console games and I read that you need to have the .cia file installed on both sys- and emunand and have the agb_firm patched flashed to sysnand in order for it to work ? (correct me if Im wrong). I went ahead, flashed the age_firm that I generated myself from the instructions found in this thread

    https://gbatemp.net/threads/release-agb_firm-signature-patcher-gba-rom-converter.390313/

    through fbi from emunand, it asked me to override the current one, I accepted and it said installation succeeded. I installed a gba vc title through fbi from emunand which successfully installed but upon launching stayed on a black screen ( this is supposed to happen I know).

    So my question is how exactly do I get the gba vc title on my sysnand screen / install em to sysnand ? My sysnand is empty, I don't have anything on it (except for the stock apps that come with it), I tried injecting fbi into sysnand with this guide

    https://gbatemp.net/threads/release-inject-any-app-into-health-safety-o3ds-n3ds-cfw-only.402236/

    but this only results in a broken health & safety app on sysnand ( I even went ahead and deleted fbi from emunand and re-installed it with the health & safety injection method and that worked, but didn't on sysnand).

    thanks for your help everyone :)
     
    Last edited by spacelaces, Jan 11, 2016
  2. Tomato Hentai

    Tomato Hentai snart

    Member
    3,675
    5,809
    Oct 30, 2014
    Canada
    actually north korea. please send help
    I thought there wasn't a way to install GBA VC games on sysNAND unless you had an N3DS? I could be completely wrong about that though.
     
  3. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,492
    3,878
    Jun 9, 2007
    You can install/run GBA VC games on any model of the 3DS, new or old.
     
    Games&Stuff and Tomato Hentai like this.
  4. Tomato Hentai

    Tomato Hentai snart

    Member
    3,675
    5,809
    Oct 30, 2014
    Canada
    actually north korea. please send help
    I thought you could only run GBA VC titles on emuNAND on other 3DS models.
    I guess I was wrong though lol
     
  5. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,492
    3,878
    Jun 9, 2007
    It shouldn't make a difference; however, I could also be wrong. As far as I know, if the NANDs are unlinked they need to be installed on both in order for it to work. We're getting a bit off-topic though.

    Sorry OP, I'm not really versed on injecting FBI/any app into H&S.
     
    Tomato Hentai likes this.
  6. spacelaces
    OP

    spacelaces Member

    Newcomer
    31
    6
    Jan 10, 2016
    Gambia, The
    bump.

    Please, I assume installing to sysnand isn't that hard, I just don't have the knowledge
     
  7. jaksy

    jaksy GBAtemp Advanced Fan

    Member
    551
    197
    Jun 10, 2014
    United States
    It sounds like you haven't tried running your injected FBI H&S applet in devmode (which boots to an elevated but slightly more restricted than rx sysnand mode) or elevated (through a CFW) sysnand.
    You can't run unsigned code on your 3ds without first booting a CFW to allow unsigned code to run.

    Run pasta or rxtools in pasta/devmode to have access to installing through fbi and other unsigned cia in sysnand.
     
    Last edited by jaksy, Jan 11, 2016
  8. BDS

    BDS GBAtemp Regular

    Member
    175
    46
    Jan 7, 2016
    France
    Given your last thread with video comparison of GBA SP (001) vs N3DS+GBA VC, I guess you succeeded. But on your video, are you running rxMode (from rxTools) or another CFW? I'm asking since I can't run GBA VC games or DSiWare titles from rxMode (whether it'd be on sysNAND or emuNAND) but can from Pasta CFW (home sysNAND) and ReiNand (home emuNAND).
    How come you have a Game Boy Player splash screen? Are you using the patched v2 from "that" site?
     
  9. Marko76

    Marko76 GBAtemp Psycho!

    Member
    3,467
    1,943
    Aug 19, 2015
    United Kingdom
    Clydebank
    You are wrong I have loads of gba games on my Orig 3ds

    — Posts automatically merged - Please don't double post! —

    Does not work on latest rxTools but is fine on 2.6 that's what I use
     
  10. BDS

    BDS GBAtemp Regular

    Member
    175
    46
    Jan 7, 2016
    France
    OK, so not on N3DS then (2.6 = o3DS only, right?).
     
  11. Marko76

    Marko76 GBAtemp Psycho!

    Member
    3,467
    1,943
    Aug 19, 2015
    United Kingdom
    Clydebank
    Hmm just checked the rxtools.net website and looks like 2.6 works for both Orig and new 3ds
     
  12. kje123

    kje123 this title is false

    Member
    385
    229
    Aug 9, 2015
    United States
    Seattle
    Just install the CIA from rxMode SysNAND.
     
  13. spacelaces
    OP

    spacelaces Member

    Newcomer
    31
    6
    Jan 10, 2016
    Gambia, The
    the solution is to boot into sysnand through rx tools --> advanced --> boot into pasta cfw, then run fbi through the health & safety app. You need to have the agb_firm installed on both nands aswelll as the vc games
     
  14. BDS

    BDS GBAtemp Regular

    Member
    175
    46
    Jan 7, 2016
    France
    So, you're not running rxMode, but Pasta Mode (which rxTools can boot). And Pasta is sysNAND only, so in your setup installing GBA games and AGB_Firm to emuNAND is pointless. If you're using CtrBootManager, I'd recommend you to have an option to boot to that 3dsx, it's less convoluted and should be more convenient.

    Actually, Roxas quit before any support to N3DS was added. First rxTools release compatible with N3DSs is 3.0 Alpha.